{{ $appName := (index . "Values" "name") -}}
{{- if .Values.ingress.enabled -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $appName }}
  annotations:
    {{- range $key, $value := .Values.ingress.annotations }}
    {{ $key }}: {{ $value | quote }}
    {{- end }}
spec:
  ingressClassName: {{ .Values.ingress.ingressClass |quote }}
  rules:
    - host: {{ .Values.ingress.host | quote }}
      http:
        paths:
          - backend:
              service:
                name: {{ $appName }}
                port:
                  number: 80
            path: /
            pathType: Prefix
{{ end }}
